{
	"name": "@fileone/web",
	"version": "0.1.0",
	"private": true,
	"type": "module",
	"scripts": {
		"dev": "vite",
		"build": "vite build",
		"preview": "vite preview",
		"format": "bunx biome format --write",
		"lint": "bunx biome lint",
		"typecheck": "bunx tsc -p tsconfig.json --noEmit"
	},
	"dependencies": {
		"@convex-dev/better-auth": "^0.8.9",
		"@fileone/convex": "workspace:*",
		"@radix-ui/react-checkbox": "^1.3.3",
		"@radix-ui/react-context-menu": "^2.2.16",
		"@radix-ui/react-dialog": "^1.1.15",
		"@radix-ui/react-dropdown-menu": "^2.1.16",
		"@radix-ui/react-label": "^2.1.7",
		"@radix-ui/react-popover": "^1.1.15",
		"@radix-ui/react-progress": "^1.1.7",
		"@radix-ui/react-select": "^2.2.6",
		"@radix-ui/react-separator": "^1.1.8",
		"@radix-ui/react-slot": "^1.2.4",
		"@radix-ui/react-tooltip": "^1.2.8",
		"@tanstack/react-query": "^5.87.4",
		"@tanstack/react-router": "^1.131.41",
		"@tanstack/react-table": "^8.21.3",
		"@tanstack/react-virtual": "^3.13.13",
		"@tanstack/router-devtools": "^1.144.0",
		"arktype": "^2.1.28",
		"better-auth": "1.3.8",
		"class-variance-authority": "^0.7.1",
		"clsx": "^2.1.1",
		"convex": "^1.27.0",
		"convex-helpers": "^0.1.104",
		"date-fns": "^4.1.0",
		"jotai": "^2.14.0",
		"jotai-effect": "^2.1.3",
		"jotai-scope": "^0.9.5",
		"jotai-tanstack-query": "^0.11.0",
		"lucide-react": "^0.544.0",
		"motion": "^12.23.16",
		"nanoid": "^5.1.6",
		"next-themes": "^0.4.6",
		"react": "^19",
		"react-day-picker": "^9.13.0",
		"react-dom": "^19",
		"sonner": "^2.0.7",
		"tailwind-merge": "^3.3.1",
		"tailwindcss": "^4",
		"tw-animate-css": "^1.3.8"
	},
	"devDependencies": {
		"@tanstack/router-cli": "^1.131.41",
		"@tanstack/router-plugin": "^1.133.13",
		"@types/node": "^22.10.5",
		"@types/react": "^19",
		"@types/react-dom": "^19",
		"@vitejs/plugin-react": "^5.0.4",
		"vite": "^7.1.10"
	}
}
